#!/usr/local/bin/python3.11
"""
****************************************************************************
 rpcalc.py, the main program file

 rpCalc, an RPN calculator
 Copyright (C) 2018, Douglas W. Bell

 This is free software; you can redistribute it and/or modify it under the
 terms of the GNU General Public License, either Version 2 or any later
 version.  This program is distributed in the hope that it will be useful,
 but WITTHOUT ANY WARRANTY.  See the included LICENSE file for details.
*****************************************************************************
"""

__progname__ = 'rpCalc'
__version__ = '0.8.2'
__author__ = 'Doug Bell'

helpFilePath = '/usr/local/share/doc/rpcalc'   # modified by install script
iconPath =  '/usr/local/share/rpcalc/icons'   # modified by install script

import sys
from PyQt5.QtWidgets import QApplication
import calcdlg


if __name__ == '__main__':
    userStyle = '-style' in ' '.join(sys.argv)
    app = QApplication(sys.argv)
    if not userStyle and not sys.platform.startswith('win'):
        QApplication.setStyle('plastique')
    win = calcdlg.CalcDlg()
    win.show()
    app.exec_()
